package digital.laboratory.platform.entrustment.vo;

import digital.laboratory.platform.sys.entity.entrustment.SampleBox;
import lombok.Data;

import java.util.List;

/**
 * 这个 VO 类额外提供了保存在盒子中的样本对象的<b>编号</b>列表
 * 在委托受理完成之前, 系统还没有生成样本, 只有检材, 所以无法提供样本对象, 只能从检材对象中取样本的编号
 */
@Data
public class SampleBoxLiteVO extends SampleBox {
	List<String> sampleNoList;

	public SampleBoxLiteVO(SampleBox sb, List<String> nolist) {
		this.setId(sb.getId());
		this.setBoxNo(sb.getBoxNo());
		this.setBoxType(sb.getBoxType());
		this.setStorageMethod(sb.getStorageMethod());
		this.setSource(sb.getSource());
		this.setEntrustmentId(sb.getEntrustmentId());
		this.setJobId(sb.getJobId());
		this.setSampleType(sb.getSampleType());
		this.setComments(sb.getComments());
		this.sampleNoList = nolist;
	}
}
